%define _kde4_alternate_placement 1

%def_disable okular_msits

%add_findpackage_path %_kde4_bindir


%define rname kdegraphics
Name: kde4graphics
%define major 4
%define minor 4
%define bugfix 5
Version: %major.%minor.%bugfix
Release: alt0.M51.1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Graphics Applications
License: GPLv2
Url: http://www.kde.org

Requires: %name-core = %version-%release
Requires: %name-kgamma = %version-%release
Requires: %name-kamera = %version-%release
Requires: %name-okular = %version-%release
Requires: %name-gwenview = %version-%release
Requires: %name-kcolorchooser = %version-%release
Requires: %name-kolourpaint = %version-%release
Requires: %name-kruler = %version-%release
Requires: %name-ksnapshot = %version-%release


Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar

BuildRequires(pre): kde4libs-devel
BuildRequires: gcc-c++ libqimageblitz-devel libexiv2-devel ghostscript-lib
%if_enabled okular_msits
BuildRequires: libchm-devel
%endif
BuildRequires: libgphoto2-devel libpoppler-qt4-devel bzlib-devel
BuildRequires: libdjvu-devel libsane-devel libjpeg-devel libqca2-devel
BuildRequires: soprano soprano-backend-redland libsoprano-devel
BuildRequires: ebook-tools-devel libgomp-devel
BuildRequires: libspectre-devel liblcms-devel
BuildRequires: kde4libs-devel >= %version

%description
Graphical tools for the K Desktop Environment.
Collection of graphic oriented applications
* gwenview
    Image viewer.
* kamera
    Digital camera io_slave for Konqueror. Together gPhoto this allows you
    to access your camera's picture with the URL kamera:/
* kfile-plugins
    Provide meta information for graphic files.
* kolourpaint
    An easy-to-use paint program designed for everyday tasks like drawing
    simple diagrams/logos/icons and editing screenshots.
* kruler
    A ruler in inch, centimeter and pixel to check distances on the screen.
* ksnapshot
    Make snapshots of the screen contents.
* libkscan
    Library to access scanners used by kooka (and koffice), needs SANE to be
    used
* okular
    Document viewer; support different kinds of documents.

%package common
Summary: Common package for %name
Group: System/Configuration/Other
Requires: kde-common >= %major.%minor
%description common
Common package for %name

%package core
Summary: Core files for %name
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description core
Core files for %name

%package -n libksane4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libksane4
KDE 4 core library.

%package -n libokularcore4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libokularcore4
KDE 4 core library.

%package -n libkolourpaint4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkolourpaint4
KDE 4 core library.

%package -n libgwenview4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libgwenview4
KDE 4 core library.

%package kgamma
Summary: kgamma color profiling
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kgamma
kgamma color profiling

%package kamera
Summary: KDE kamera ioslave
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kamera
Digital camera io_slave for Konqueror. Together gPhoto this allows you
to access your camera's picture with the URL kamera:/

%package okular
Summary: KDE document viewer
Group: Office
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-core = %version-%release
%description okular
Document viewer; support different kinds of documents.

%package gwenview
Summary: KDE image viewer
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description gwenview
KDE image viewer

%package kcolorchooser
Summary: KDE color chooser
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kcolorchooser
KDE color chooser

%package kolourpaint
Summary: KDE paint program
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kolourpaint
An easy-to-use paint program designed for everyday tasks like drawing
simple diagrams/logos/icons and editing screenshots.

%package kruler
Summary: KDE screen ruler
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kruler
A ruler in inch, centimeter and pixel to check distances on the screen.

%package ksnapshot
Summary: KDE screenshots maker
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description ksnapshot
Make snapshots of the screen contents.

%package -n libkipi4-common
Summary: Non-library files for the kipi library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libkipi4-common
Non-library files for the kipi library

%package -n libkipi4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: libkipi4-common = %version-%release
%description -n libkipi4
KDE 4 core library.

%package -n libkdcraw4-common
Summary: Non-library files for the kdcraw library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libkdcraw4-common
Non-library files for the kdcraw library

%package -n libkdcraw4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: libkdcraw4-common = %version-%release
%description -n libkdcraw4
KDE 4 core library.

%package -n libkexiv24-common
Summary: Non-library files for the kexiv2 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libkexiv24-common
Non-library files for the kexiv2 library

%package -n libkexiv24
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: libkexiv24-common = %version-%release
%description -n libkexiv24
KDE 4 core library.

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and QT
Requires: kde4libs-devel
Requires: %name-common = %version-%release
%description devel
This package contains header files needed if you wish to build applications
based on %name.


%prep
%setup -q -n %rname-%version
#sed -i "s|dcraw\.c|dcraw.cpp|g" libs/libkdcraw/dcraw/CMakeLists.txt
#mv libs/libkdcraw/dcraw/dcraw.c libs/libkdcraw/dcraw/dcraw.cpp


%build
%K4build


%install
%K4install

# fix pkgconfig files
for f in %buildroot/%_pkgconfigdir/*.pc
do
    sed -i 's|^libdir=.*|libdir=%_K4link|' $f
done


%files
%files common
%doc README

%files core
%_K4lib/gsthumbnail.so
%_K4lib/mobithumbnail.so
%_K4lib/rawthumbnail.so
%_K4lib/svgpart.so
%_K4apps/svgpart/svgpart.rc
%_K4srv/svgpart.desktop
%_K4libdir/strigi/*
%_K4srv/gsthumbnail.desktop
%_K4srv/mobithumbnail.desktop
%_K4srv/rawthumbnail.desktop
%_K4lib/ksaneplugin.so
%_kde4_iconsdir/hicolor/*/actions/black-white.*
%_kde4_iconsdir/hicolor/*/actions/color.*
%_kde4_iconsdir/hicolor/*/actions/gray-scale.*
%_K4srv/ksane_scan_service.desktop

%files -n libkdcraw4-common
%_K4apps/libkdcraw/
%_kde4_iconsdir/hicolor/*/apps/kdcraw.*

%files -n libkdcraw4
#%_K4libdir/libkdcraw5/
%_K4libdir/libkdcraw.so.*

%files -n libkipi4-common
%_K4apps/kipi/
%_kde4_iconsdir/hicolor/*/apps/kipi.*
%_K4srvtyp/kipiplugin.desktop

%files -n libkipi4
%_K4libdir/libkipi.so.*

%files -n libkexiv24-common
%_K4apps/libkexiv2

%files -n libkexiv24
%_K4libdir/libkexiv2.so.*

%files -n libksane4
%_K4libdir/libksane.so.*

%files -n libokularcore4
%_K4libdir/libokularcore.so.*

%files -n libgwenview4
%_K4libdir/libgwenviewlib.so.*

%files -n libkolourpaint4
%_K4libdir/libkolourpaint_lgpl.so.*

%files kgamma
%_K4lib/*_kgamma.*
%_K4apps/kgamma
%_K4srv/kgamma*
#%_kde4_iconsdir/hicolor/*/apps/kgamma.*
%_K4doc/*/kcontrol/kgamma

%files kamera
%_K4lib/*_kamera.*
%_K4srv/camera*
%_K4srv/kamera*
%_K4apps/solid/actions/solid_camera.desktop
%_K4doc/en/kcontrol/kamera/

%files okular
%_kde4_bindir/okular
%_kde4_bindir/xf86gammacfg
%_K4lib/okularGenerator_*
%_K4lib/okularpart.so
%if_enabled okular_msits
%_K4lib/kio_msits.so
%endif
%_kde4_xdg_apps/okular*
%_K4apps/okular
%_K4cfg/okular.kcfg
%_K4cfg/gssettings.kcfg
#%_K4conf/okular.knsrc
%_K4srv/libokularGenerator_*
%_K4srv/okular*
%if_enabled okular_msits
%_K4srv/msits*
%endif
%_K4srvtyp/okularGenerator.desktop
%_kde4_iconsdir/hicolor/*/apps/okular.*
%_K4doc/en/okular/

%files gwenview
%_kde4_bindir/gwenview
%_kde4_bindir/gwenview_importer
%_K4lib/gvpart.so
%_K4apps/gvpart/gvpart.rc
%_K4apps/gwenview/
%_K4apps/gvpart/
%_K4apps/solid/actions/gwenview_importer.desktop
%_K4srv/gvpart.desktop
%_K4srv/ServiceMenus/slideshow.desktop
%_kde4_xdg_apps/gwenview.desktop
#%_K4iconsdir/oxygen/*/apps/gwenview.*
%_kde4_iconsdir/hicolor/*/apps/gwenview.*
%_K4doc/*/gwenview

%files kcolorchooser
%_kde4_bindir/kcolorchooser
%_kde4_xdg_apps/kcolorchooser.desktop
%_kde4_iconsdir/*/*/*/kcolorchooser*

%files kolourpaint
%_kde4_bindir/kolourpaint
%_kde4_xdg_apps/kolourpaint.desktop
%_K4apps/kolourpaint
%_kde4_iconsdir/hicolor/*/apps/kolourpaint.*
%_K4doc/en/kolourpaint/

%files kruler
%_kde4_bindir/kruler
%_kde4_xdg_apps/kruler.desktop
%_K4apps/kruler
#%_K4iconsdir/oxygen/*/apps/kruler.*
%_kde4_iconsdir/hicolor/*/apps/kruler.*
%_K4doc/*/kruler

%files ksnapshot
%_kde4_bindir/kbackgroundsnapshot
%_kde4_bindir/ksnapshot
%_kde4_xdg_apps/ksnapshot.desktop
%_kde4_iconsdir/hicolor/*/apps/ksnapshot.*
%_K4dbus_interfaces/org.kde.ksnapshot.xml
%_K4doc/*/ksnapshot

%files devel
%_libdir/pkgconfig/*.pc
%_K4link/libgwenviewlib.so
%_K4link/libkolourpaint_lgpl.so
%_K4link/libokularcore.so
%_K4link/libksane.so
%_K4link/libkdcraw.so
%_K4link/libkexiv2.so
%_K4link/libkipi.so
%_K4includedir/*
%_K4apps/cmake/*/*


%changelog
* Thu Jul 08 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt0.M51.1
- built for M51

* Mon Jul 05 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt1
- new version

* Mon Jun 07 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt2
- rebuilt with new exiv2

* Thu Jun 03 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt0.M51.1
- built for M51

* Tue Jun 01 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt1
- new version

* Thu May 13 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt0.M51.1
- built for M51

* Mon May 03 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt1
- new version

* Wed Apr 21 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt0.M51.1
- built for M51

* Tue Mar 30 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt1
- new version

* Mon Mar 01 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.1-alt1
- new version

* Thu Feb 11 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.0-alt1
- new version

* Thu Jan 28 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.95-alt1
- new version

* Thu Jan 21 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.90-alt1
- new version

* Mon Jan 11 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt2
- rebuilt with new exiv

* Tue Dec 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt0.M51.1
- built for M51

* Mon Nov 30 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt1
- new version

* Mon Nov 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt0.M51.1
- built for M51

* Mon Nov 02 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1
- new version

* Fri Oct 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt1
- new version

* Mon Aug 31 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt1
- new version

* Wed Aug 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt1
- 4.3.0

* Fri Jul 24 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt2
- rebuilt with new exiv2

* Wed Jul 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt1
- 4.2.98

* Thu Jul 16 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.96-alt1
- 4.2.96

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Fri Jun 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Tue May 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version

* Fri Apr 03 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Mon Mar 16 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt0.M50.1
- built for M50

* Wed Mar 04 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Tue Jan 20 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version
- remove deprecated macroses from specfile

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version
- built okular without msits:/ (.chm) support

* Tue Oct 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Thu Sep 04 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Sat Aug 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Mon Jun 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Mon May 12 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt2
- okular built with libspectre

* Wed May 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Fri Mar 21 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- initial specfile

